import { allArgOptions } from "../shared/options/args.js";
function getFirstMatchingArg(key) {
  return Object.keys(allArgOptions).find(
    (arg) => arg.replaceAll("-", "") === key.toLowerCase()
  );
}
function createRerunSuggestion(mode, options) {
  const optionsNormalized = {
    ...options,
    ...options.email ? {
      email: void 0,
      emailGitHub: options.email.github,
      emailNpm: options.email.npm
    } : { email: void 0 },
    ...options.logo ? {
      logo: options.logo.src,
      logoAlt: options.logo.alt
    } : { logo: void 0 }
  };
  const args = Object.entries(optionsNormalized).sort(
    ([a], [b]) => a === "base" ? -1 : b === "base" ? 1 : a.localeCompare(b)
  ).filter(([, value]) => !!value).map(([key, value]) => {
    const valueStringified = `${value}`;
    return `--${getFirstMatchingArg(key)} ${valueStringified.includes(" ") ? `"${value}"` : value}`;
  }).join(" ");
  return `npx create-typescript-app --mode ${mode} ${args}`;
}
export {
  createRerunSuggestion
};
//# sourceMappingURL=createRerunSuggestion.js.map