import { z } from 'zod';

declare const optionsSchemaShape: {
    author: z.ZodOptional<z.ZodString>;
    base: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"common">, z.ZodLiteral<"everything">, z.ZodLiteral<"minimum">, z.ZodLiteral<"prompt">]>>;
    createRepository: z.ZodOptional<z.ZodBoolean>;
    description: z.ZodOptional<z.ZodString>;
    email: z.ZodOptional<z.ZodObject<{
        github: z.ZodString;
        npm: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        github: string;
        npm: string;
    }, {
        github: string;
        npm: string;
    }>>;
    excludeCompliance: z.ZodOptional<z.ZodBoolean>;
    excludeContributors: z.ZodOptional<z.ZodBoolean>;
    excludeLintDeprecation: z.ZodOptional<z.ZodBoolean>;
    excludeLintESLint: z.ZodOptional<z.ZodBoolean>;
    excludeLintJSDoc: z.ZodOptional<z.ZodBoolean>;
    excludeLintJson: z.ZodOptional<z.ZodBoolean>;
    excludeLintKnip: z.ZodOptional<z.ZodBoolean>;
    excludeLintMd: z.ZodOptional<z.ZodBoolean>;
    excludeLintPackageJson: z.ZodOptional<z.ZodBoolean>;
    excludeLintPackages: z.ZodOptional<z.ZodBoolean>;
    excludeLintPerfectionist: z.ZodOptional<z.ZodBoolean>;
    excludeLintRegex: z.ZodOptional<z.ZodBoolean>;
    excludeLintSpelling: z.ZodOptional<z.ZodBoolean>;
    excludeLintStrict: z.ZodOptional<z.ZodBoolean>;
    excludeLintStylistic: z.ZodOptional<z.ZodBoolean>;
    excludeLintYml: z.ZodOptional<z.ZodBoolean>;
    excludeReleases: z.ZodOptional<z.ZodBoolean>;
    excludeRenovate: z.ZodOptional<z.ZodBoolean>;
    excludeTests: z.ZodOptional<z.ZodBoolean>;
    funding: z.ZodOptional<z.ZodString>;
    logo: z.ZodOptional<z.ZodString>;
    logoAlt: z.ZodOptional<z.ZodString>;
    owner: z.ZodOptional<z.ZodString>;
    repository: z.ZodOptional<z.ZodString>;
    skipGitHubApi: z.ZodOptional<z.ZodBoolean>;
    skipInstall: z.ZodOptional<z.ZodBoolean>;
    skipRemoval: z.ZodOptional<z.ZodBoolean>;
    skipRestore: z.ZodOptional<z.ZodBoolean>;
    skipUninstall: z.ZodOptional<z.ZodBoolean>;
    title: z.ZodOptional<z.ZodString>;
};
declare const optionsSchema: z.ZodObject<{
    author: z.ZodOptional<z.ZodString>;
    base: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"common">, z.ZodLiteral<"everything">, z.ZodLiteral<"minimum">, z.ZodLiteral<"prompt">]>>;
    createRepository: z.ZodOptional<z.ZodBoolean>;
    description: z.ZodOptional<z.ZodString>;
    email: z.ZodOptional<z.ZodObject<{
        github: z.ZodString;
        npm: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        github: string;
        npm: string;
    }, {
        github: string;
        npm: string;
    }>>;
    excludeCompliance: z.ZodOptional<z.ZodBoolean>;
    excludeContributors: z.ZodOptional<z.ZodBoolean>;
    excludeLintDeprecation: z.ZodOptional<z.ZodBoolean>;
    excludeLintESLint: z.ZodOptional<z.ZodBoolean>;
    excludeLintJSDoc: z.ZodOptional<z.ZodBoolean>;
    excludeLintJson: z.ZodOptional<z.ZodBoolean>;
    excludeLintKnip: z.ZodOptional<z.ZodBoolean>;
    excludeLintMd: z.ZodOptional<z.ZodBoolean>;
    excludeLintPackageJson: z.ZodOptional<z.ZodBoolean>;
    excludeLintPackages: z.ZodOptional<z.ZodBoolean>;
    excludeLintPerfectionist: z.ZodOptional<z.ZodBoolean>;
    excludeLintRegex: z.ZodOptional<z.ZodBoolean>;
    excludeLintSpelling: z.ZodOptional<z.ZodBoolean>;
    excludeLintStrict: z.ZodOptional<z.ZodBoolean>;
    excludeLintStylistic: z.ZodOptional<z.ZodBoolean>;
    excludeLintYml: z.ZodOptional<z.ZodBoolean>;
    excludeReleases: z.ZodOptional<z.ZodBoolean>;
    excludeRenovate: z.ZodOptional<z.ZodBoolean>;
    excludeTests: z.ZodOptional<z.ZodBoolean>;
    funding: z.ZodOptional<z.ZodString>;
    logo: z.ZodOptional<z.ZodString>;
    logoAlt: z.ZodOptional<z.ZodString>;
    owner: z.ZodOptional<z.ZodString>;
    repository: z.ZodOptional<z.ZodString>;
    skipGitHubApi: z.ZodOptional<z.ZodBoolean>;
    skipInstall: z.ZodOptional<z.ZodBoolean>;
    skipRemoval: z.ZodOptional<z.ZodBoolean>;
    skipRestore: z.ZodOptional<z.ZodBoolean>;
    skipUninstall: z.ZodOptional<z.ZodBoolean>;
    title: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    author?: string | undefined;
    base?: "common" | "everything" | "minimum" | "prompt" | undefined;
    createRepository?: boolean | undefined;
    description?: string | undefined;
    email?: {
        github: string;
        npm: string;
    } | undefined;
    excludeCompliance?: boolean | undefined;
    excludeContributors?: boolean | undefined;
    excludeLintDeprecation?: boolean | undefined;
    excludeLintESLint?: boolean | undefined;
    excludeLintJSDoc?: boolean | undefined;
    excludeLintJson?: boolean | undefined;
    excludeLintKnip?: boolean | undefined;
    excludeLintMd?: boolean | undefined;
    excludeLintPackageJson?: boolean | undefined;
    excludeLintPackages?: boolean | undefined;
    excludeLintPerfectionist?: boolean | undefined;
    excludeLintRegex?: boolean | undefined;
    excludeLintSpelling?: boolean | undefined;
    excludeLintStrict?: boolean | undefined;
    excludeLintStylistic?: boolean | undefined;
    excludeLintYml?: boolean | undefined;
    excludeReleases?: boolean | undefined;
    excludeRenovate?: boolean | undefined;
    excludeTests?: boolean | undefined;
    funding?: string | undefined;
    logo?: string | undefined;
    logoAlt?: string | undefined;
    owner?: string | undefined;
    repository?: string | undefined;
    skipGitHubApi?: boolean | undefined;
    skipInstall?: boolean | undefined;
    skipRemoval?: boolean | undefined;
    skipRestore?: boolean | undefined;
    skipUninstall?: boolean | undefined;
    title?: string | undefined;
}, {
    author?: string | undefined;
    base?: "common" | "everything" | "minimum" | "prompt" | undefined;
    createRepository?: boolean | undefined;
    description?: string | undefined;
    email?: {
        github: string;
        npm: string;
    } | undefined;
    excludeCompliance?: boolean | undefined;
    excludeContributors?: boolean | undefined;
    excludeLintDeprecation?: boolean | undefined;
    excludeLintESLint?: boolean | undefined;
    excludeLintJSDoc?: boolean | undefined;
    excludeLintJson?: boolean | undefined;
    excludeLintKnip?: boolean | undefined;
    excludeLintMd?: boolean | undefined;
    excludeLintPackageJson?: boolean | undefined;
    excludeLintPackages?: boolean | undefined;
    excludeLintPerfectionist?: boolean | undefined;
    excludeLintRegex?: boolean | undefined;
    excludeLintSpelling?: boolean | undefined;
    excludeLintStrict?: boolean | undefined;
    excludeLintStylistic?: boolean | undefined;
    excludeLintYml?: boolean | undefined;
    excludeReleases?: boolean | undefined;
    excludeRenovate?: boolean | undefined;
    excludeTests?: boolean | undefined;
    funding?: string | undefined;
    logo?: string | undefined;
    logoAlt?: string | undefined;
    owner?: string | undefined;
    repository?: string | undefined;
    skipGitHubApi?: boolean | undefined;
    skipInstall?: boolean | undefined;
    skipRemoval?: boolean | undefined;
    skipRestore?: boolean | undefined;
    skipUninstall?: boolean | undefined;
    title?: string | undefined;
}>;

export { optionsSchema, optionsSchemaShape };
